import request from '@/utils/request'
import { upFilse } from '@/utils/request';

//上传救护者信息
export function addrescuer(data){
	return request({
		url:'/api/add_rescuer',
		method:'post',
		data
	})
}

//上传图片
export function upload(data){
	return upFilse({
		url:'/api/upload',
		method:'post',
		data
	})
}
//发表文章
export function articlesave(data) {
	return request({
		url: '/api/circle/articlesave',
		method: 'post',
		data
	});
}

//我发表的文章
export function myarticle(data) {
	return request({
		url: '/api/circle/myarticle',
		method: 'post',
		data
	});
}

//发表评论
export function replyask(data) {
	return request({
		url: '/api/add_a',
		method: 'post',
		data
	});
}

//问答详情
export function replylist(data) {
	return request({
		url: '/api/q_list',
		method: 'get',
		data
	});
}

//评论列表
export function myreplylist(data) {
	return request({
		url: '/api/a_list',
		method: 'get',
		data
	});
}

//机构搜索
export function mechanism(data) {
	return request({
		url: '/api/mechanism',
		method: 'get',
		data
	});
}

// 捐款意向 chosintention
export function chosintention(data) {
	return request({
		url: '/api/lave/ify',
		method: 'get',
		data
	});
}

// 爱心捐赠 joinDona 提交
export function joinDona(data) {
	return request({
		url: '/api/intention',
		method: 'get',
		data
	});
}

// 捐赠列表  getDonaList
export function getDonaList(data) {
	return request({
		url: '/api/bulletin',
		method: 'get',
		data
	});
}

// 我的捐赠 MyDonaList
export function MyDonaList(data) {
	return request({
		url: '/api/lave/mylst',
		method: 'get',
		data
	});
}

// 获得证书 getCertificate
export function getCertificate(data) {
	return request({
		url: '/api/detail_training',
		method: 'get',
		data
	});
}